#!/usr/bin/make

# nonintel.mak Version 1.0.0 - Compile program pxlrace
# for non-Intel platform
# Copyright (C) 2000-2004  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

# Makefile for non-Intel platforms:
# Source file rnd2.c    is used instead of rnd.s
# Source file rndpwr2.c is used instead of rndpwr.s
# Source file rndnum2.c is used instead of rndnum.s

# To compile pxlrace, run
#	make -f nonintel.mak

# To uninstall pxlrace, run
#	deinst

# Debian font
XFONT=\"8x16\"

# Slackware font
# XFONT=\"linux8x16\"

# uncomment if you want the pxlrace window in
# the upper left of your virtual desktop
# UPPERLEFT=-D UPPERLEFT

OBJ=pxlrace.o \
	initrnd.o \
	rnd.o \
	rndpwr.o \
	rndnum.o

CC=gcc

CFLAGS=-c -I/usr/X11R6/include/X11 -Wall \
        -DFONT=$(XFONT) \
	$(UPPERLEFT)

CFLG=-c -Wall

LDFLAGS=-lm -L/usr/X11R6/lib -lX11

pxlrace:	$(OBJ)
	$(CC) -Wall $(OBJ) -o pxlrace $(LDFLAGS)

pxlrace.o:	pxlrace.c nonintel.mak
	$(CC) $(CFLAGS) pxlrace.c

initrnd.o:	initrnd.c
	gcc $(CFLG) initrnd.c

rnd.o:		rnd2.c
	gcc $(CFLG) rnd2.c -o rnd.o

rndpwr.o:	rndpwr2.c
	gcc $(CFLG) rndpwr2.c -o rndpwr.o

rndnum.o:	rndnum2.c
	gcc $(CFLG) rndnum2.c -o rndnum.o

clean:	
	rm -f pxlrace $(OBJ)
